Show / Hide Table of Contents

# Class PrePackedWeightsContainer

This class holds pre-packed weights of shared initializers to be shared across sessions using these initializers and thereby provide memory savings by sharing the same pre-packed versions of these shared initializers

##### Inheritance

System.Object
PrePackedWeightsContainer

###### Namespace: Microsoft.ML.OnnxRuntime

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class PrePackedWeightsContainer : SafeHandle

### Constructors

#### PrePackedWeightsContainer()

Constructs an empty PrePackedWeightsContainer

##### Declaration

    public PrePackedWeightsContainer()

### Properties

#### IsInvalid

Overrides SafeHandle.IsInvalid

##### Declaration

    public override bool IsInvalid { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | returns true if handle is equal to Zero

### Methods

#### ReleaseHandle()

Overrides SafeHandle.ReleaseHandle() to deallocate a chunk of memory using the specified allocator.

##### Declaration

    protected override bool ReleaseHandle()

##### Returns

Type | Description
--- | ---
System.Boolean | always returns true